swaybg(1)

NAME

swaybg - Background for Wayland

SYNOPSIS

swaybg [options...]

Displays a background image on all outputs of your Wayland session.

Without an output specified, appearance options apply to all outputs. Per-output appearance options can be set by passing -o, --output followed by these options.

OPTIONS

-c, --color <[#]rrggbb>
    Set the background color.

-h, --help
    Show help message and quit.

-i, --image <path>
    Set the background image.

-m, --mode <mode>
    Scaling mode for images: stretch, fill, fit, center, or tile. Use the additional mode solid_color to display only the background color, even if a background image is specified.

-o, --output <name>
    Select an output to configure. Subsequent appearance options will only apply to this output. The special value * selects all outputs.

-v, --version
    Show the version number and quit.

AUTHORS

Maintained by Drew DeVault <sir@cmpwn.com>, who is assisted by other open source contributors. For more information about swaybg development, see https://github.com/swaywm/swaybg.